﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using SimpleManager.Datos;

namespace SimpleManager.Datos.Migrations
{
    [DbContext(typeof(SimpleKioskContext))]
    partial class SimpleKioskContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.0-rtm-30799")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Caja", b =>
                {
                    b.Property<int>("CajaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Comentario");

                    b.Property<decimal>("EfectivoCaja");

                    b.Property<DateTime>("FechaApertura");

                    b.Property<DateTime?>("FechaCierre");

                    b.Property<decimal>("MontoInicial");

                    b.Property<int>("OperacionEstadoId");

                    b.Property<decimal>("Total");

                    b.HasKey("CajaId");

                    b.ToTable("Cajas");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Categoria", b =>
                {
                    b.Property<int>("CategoriaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("CategoriaId");

                    b.ToTable("Categorias");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Compra", b =>
                {
                    b.Property<int>("CompraId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ComprobanteNumero");

                    b.Property<DateTime>("Fecha");

                    b.Property<DateTime>("FechaCreacion");

                    b.Property<string>("Observacion");

                    b.Property<int>("OperacionEstadoId");

                    b.Property<int?>("ProveedorId");

                    b.Property<decimal>("Total");

                    b.HasKey("CompraId");

                    b.HasIndex("OperacionEstadoId");

                    b.HasIndex("ProveedorId");

                    b.ToTable("Compras");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.CompraDetalle", b =>
                {
                    b.Property<int>("CompraDetalleId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Cantidad");

                    b.Property<int>("CompraId");

                    b.Property<decimal>("Importe");

                    b.Property<int?>("IngredienteId");

                    b.Property<int?>("MovimientoStockId");

                    b.Property<decimal>("PrecioUnitario");

                    b.Property<int?>("ProductoId");

                    b.HasKey("CompraDetalleId");

                    b.HasIndex("CompraId");

                    b.HasIndex("IngredienteId");

                    b.HasIndex("ProductoId");

                    b.ToTable("CompraDetalles");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Deposito", b =>
                {
                    b.Property<int>("DepositoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.Property<bool>("EsActivo");

                    b.HasKey("DepositoId");

                    b.ToTable("Depositos");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Evento", b =>
                {
                    b.Property<int>("EventoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("EventoId");

                    b.ToTable("Eventos");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Ingrediente", b =>
                {
                    b.Property<int>("IngredienteId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("CategoriaId");

                    b.Property<decimal>("Costo");

                    b.Property<string>("Nombre");

                    b.Property<int?>("ProveedorId");

                    b.Property<decimal>("StockActual");

                    b.Property<bool>("StockControla");

                    b.Property<decimal>("StockMinimo");

                    b.Property<int>("UnidadId");

                    b.Property<bool>("esActivo");

                    b.HasKey("IngredienteId");

                    b.HasIndex("CategoriaId");

                    b.HasIndex("ProveedorId");

                    b.HasIndex("UnidadId");

                    b.ToTable("Ingredientes");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Mesa", b =>
                {
                    b.Property<int>("MesaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("MesaId");

                    b.ToTable("Mesas");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.MovimientoCaja", b =>
                {
                    b.Property<int>("MovimientoCajaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CajaId");

                    b.Property<string>("Comentario");

                    b.Property<DateTime>("Fecha");

                    b.Property<decimal>("Monto");

                    b.Property<int>("TipoMovimientoCajaId");

                    b.HasKey("MovimientoCajaId");

                    b.HasIndex("TipoMovimientoCajaId");

                    b.ToTable("MovimientosCaja");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.MovimientoStock", b =>
                {
                    b.Property<int>("MovimientoStockId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("Diferencia");

                    b.Property<int>("EventoId");

                    b.Property<DateTime>("Fecha");

                    b.Property<int?>("IngredienteId");

                    b.Property<int?>("ProductoId");

                    b.Property<decimal>("StockActual");

                    b.Property<decimal>("StockAnterior");

                    b.HasKey("MovimientoStockId");

                    b.HasIndex("EventoId");

                    b.HasIndex("IngredienteId");

                    b.HasIndex("ProductoId");

                    b.ToTable("MovimientosStock");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Mozo", b =>
                {
                    b.Property<int>("MozoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nombre");

                    b.Property<bool>("esActivo");

                    b.HasKey("MozoId");

                    b.ToTable("Mozos");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.OperacionEstado", b =>
                {
                    b.Property<int>("OperacionEstadoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("OperacionEstadoId");

                    b.ToTable("OperacionEstados");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Producto", b =>
                {
                    b.Property<int>("ProductoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Codigo");

                    b.Property<decimal>("Costo");

                    b.Property<int?>("DepositoId");

                    b.Property<string>("Nombre");

                    b.Property<bool>("PermiteVentaSinStock");

                    b.Property<decimal>("Precio");

                    b.Property<int?>("ProveedorId");

                    b.Property<int>("RubroId");

                    b.Property<decimal>("StockActual");

                    b.Property<bool>("StockControla");

                    b.Property<decimal>("StockMinimo");

                    b.Property<bool>("VencimientoControla");

                    b.Property<int?>("VencimientoDiasAviso");

                    b.Property<DateTime?>("VencimientoFecha");

                    b.Property<bool>("esActivo");

                    b.Property<bool>("imprimeEnComanda");

                    b.Property<bool>("usaIngredientes");

                    b.HasKey("ProductoId");

                    b.HasIndex("DepositoId");

                    b.HasIndex("ProveedorId");

                    b.HasIndex("RubroId");

                    b.ToTable("Productos");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.ProductoIngrediente", b =>
                {
                    b.Property<int>("ProductoIngredienteId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("Cantidad");

                    b.Property<int>("IngredienteId");

                    b.Property<int>("ProductoId");

                    b.HasKey("ProductoIngredienteId");

                    b.HasIndex("IngredienteId");

                    b.HasIndex("ProductoId");

                    b.ToTable("ProductoIngredientes");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Proveedor", b =>
                {
                    b.Property<int>("ProveedorId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Cuit");

                    b.Property<string>("Direccion");

                    b.Property<string>("Email");

                    b.Property<string>("Nombre");

                    b.Property<string>("Observacion");

                    b.Property<string>("Telefono");

                    b.Property<bool>("esActivo");

                    b.HasKey("ProveedorId");

                    b.ToTable("Proveedores");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Rubro", b =>
                {
                    b.Property<int>("RubroId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.Property<bool>("EsActivo");

                    b.HasKey("RubroId");

                    b.ToTable("Rubros");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.TipoIVA", b =>
                {
                    b.Property<int>("TipoIVAId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("Alicuota");

                    b.Property<string>("Codigo");

                    b.Property<string>("Descripcion");

                    b.HasKey("TipoIVAId");

                    b.ToTable("TiposIVA");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.TipoMovimientoCaja", b =>
                {
                    b.Property<int>("TipoMovimientoCajaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("TipoMovimientoCajaId");

                    b.ToTable("TiposMovimientoCaja");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Unidad", b =>
                {
                    b.Property<int>("UnidadId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("UnidadId");

                    b.ToTable("Unidades");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Venta", b =>
                {
                    b.Property<int>("VentaId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClienteNombre");

                    b.Property<decimal>("DescuentoPorcentaje");

                    b.Property<DateTime?>("HoraCierre");

                    b.Property<DateTime>("HoraInicio");

                    b.Property<int?>("MesaId");

                    b.Property<int?>("MozoId");

                    b.Property<string>("Observacion");

                    b.Property<int>("OperacionEstadoId");

                    b.Property<int>("PersonasCantidad");

                    b.Property<decimal>("Total");

                    b.Property<int>("VentaTipoId");

                    b.HasKey("VentaId");

                    b.HasIndex("MesaId");

                    b.HasIndex("MozoId");

                    b.HasIndex("OperacionEstadoId");

                    b.HasIndex("VentaTipoId");

                    b.ToTable("Ventas");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.VentaDetalle", b =>
                {
                    b.Property<int>("VentaDetalleId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Cantidad");

                    b.Property<decimal>("Importe");

                    b.Property<int?>("MovimientoStockId");

                    b.Property<string>("Observacion");

                    b.Property<int>("ProductoId");

                    b.Property<int>("VentaId");

                    b.HasKey("VentaDetalleId");

                    b.HasIndex("MovimientoStockId");

                    b.HasIndex("ProductoId");

                    b.HasIndex("VentaId");

                    b.ToTable("VentaDetalles");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.VentaTipo", b =>
                {
                    b.Property<int>("VentaTipoId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion");

                    b.HasKey("VentaTipoId");

                    b.ToTable("VentaTipos");
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Compra", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.OperacionEstado", "OperacionEstado")
                        .WithMany("Compras")
                        .HasForeignKey("OperacionEstadoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Proveedor")
                        .WithMany("Compras")
                        .HasForeignKey("ProveedorId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.CompraDetalle", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Compra", "Compra")
                        .WithMany("CompraDetalles")
                        .HasForeignKey("CompraId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Ingrediente", "Ingrediente")
                        .WithMany()
                        .HasForeignKey("IngredienteId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Producto", "Producto")
                        .WithMany()
                        .HasForeignKey("ProductoId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Ingrediente", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Categoria", "Categoria")
                        .WithMany()
                        .HasForeignKey("CategoriaId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Proveedor", "Proveedor")
                        .WithMany()
                        .HasForeignKey("ProveedorId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Unidad", "Unidad")
                        .WithMany("Ingredientes")
                        .HasForeignKey("UnidadId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.MovimientoCaja", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.TipoMovimientoCaja", "TipoMovimientoCaja")
                        .WithMany()
                        .HasForeignKey("TipoMovimientoCajaId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.MovimientoStock", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Evento", "Evento")
                        .WithMany()
                        .HasForeignKey("EventoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Ingrediente", "Ingrediente")
                        .WithMany()
                        .HasForeignKey("IngredienteId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Producto", "Producto")
                        .WithMany()
                        .HasForeignKey("ProductoId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Producto", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Deposito", "Deposito")
                        .WithMany("Productos")
                        .HasForeignKey("DepositoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Proveedor", "Proveedor")
                        .WithMany()
                        .HasForeignKey("ProveedorId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Rubro", "Rubro")
                        .WithMany("Productos")
                        .HasForeignKey("RubroId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.ProductoIngrediente", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Ingrediente", "Ingrediente")
                        .WithMany()
                        .HasForeignKey("IngredienteId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Producto", "Producto")
                        .WithMany("ProductoIngrediente")
                        .HasForeignKey("ProductoId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.Venta", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.Mesa", "Mesa")
                        .WithMany("Ventas")
                        .HasForeignKey("MesaId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Mozo", "Mozo")
                        .WithMany()
                        .HasForeignKey("MozoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.OperacionEstado", "OperacionEstado")
                        .WithMany("Ventas")
                        .HasForeignKey("OperacionEstadoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.VentaTipo", "VentaTipo")
                        .WithMany()
                        .HasForeignKey("VentaTipoId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("SimpleManager.Dominio.Entidades.VentaDetalle", b =>
                {
                    b.HasOne("SimpleManager.Dominio.Entidades.MovimientoStock", "MovimientoStock")
                        .WithMany("VentaDetalles")
                        .HasForeignKey("MovimientoStockId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Producto", "Producto")
                        .WithMany()
                        .HasForeignKey("ProductoId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("SimpleManager.Dominio.Entidades.Venta", "Venta")
                        .WithMany("VentaDetalles")
                        .HasForeignKey("VentaId")
                        .OnDelete(DeleteBehavior.Restrict);
                });
#pragma warning restore 612, 618
        }
    }
}
